> For the complete documentation index, see [llms.txt](https://docs.tupayonline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tupayonline.com/english/api-documentation/reconciliation-api/technical-and-security-aspects.md).

# Technical and Security Aspects

## Authentication

The Merchant API requires you to authenticate with the email and password of a user account you will have to create on the Merchant Panel. Once you request to authenticate to the [Login Endpoint](/english/api-documentation/reconciliation-api/endpoints.md#login-enpoint)**,** we will respond with a cookie called **BEARER\_TOKEN** containing a **token** you have to use in the next API calls to remain authenticated.

{% hint style="info" %}
&#x20;The **BEARER\_TOKEN** cookie will expire after 15 minutes of its last request. Otherwise, you may use the [**Logout Endpoint**](/english/api-documentation/reconciliation-api/endpoints.md#login-enpoint) to invalidate the cookie for future usage.
{% endhint %}

## Technical and Security Aspects

All the communications between you and the Merchants API has to be performed through secure connections over HTTPS.

Only the users configured for use with this API will be able to retrieve details.

Only connections from the whitelisted IPs will be accepted.

You need your email and password to use this API.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tupayonline.com/english/api-documentation/reconciliation-api/technical-and-security-aspects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
